Removes tags from the task template.

POSThttps://api.awork.com/api/v1/tasktemplates/{taskTemplateId}/deletetags
POST https://api.awork.com/api/v1/tasktemplates/{taskTemplateId}/deletetags

Removes tags from the task template. Returns 207 MultiStatus if at least one tag could not be removed, including the reasons.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

taskTemplateIdstringRequired
format: uuid

The id of the task template to remove tags from.

Request body Required

The list of tags to remove from the task template.

application/json

namestringRequired
minLength: 0 maxLength: 255

The name of the tag to delete.

Responses

204 No Content
207 Multi-Status
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation